Search Column

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/column
API call form
Examples
List of examples
  • Get a column by ID
  • Get all columns from a dataset
  • Get column AI context
  • Get the source name of a column
  • Get the column and its dataset
Description

Get the source name of a column. This is the original name of the column as it was defined in the data source. Note that for derived columns, the source_name property will be empty (you can use the expression property to get the expression used in the derived column).

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "cfc29a4a-c144-4ba3-9a0f-26a1da6a6994",
      "name": {
        "en": "Purchase value"
      },
      "source_name": "purchase_value",
      "expression": null
    }
  ]
}